Hooks
List Hooks
List hooks for the current account with optional filters.
GET
/
api
/
v1
/
hooks
List Hooks
curl --request GET \
--url https://api.example.com/api/v1/hooksimport requests
url = "https://api.example.com/api/v1/hooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"account_id": "<string>",
"name": "<string>",
"description": "<string>",
"trigger": {},
"condition": "<string>",
"actions": [
{}
],
"enabled": true,
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"cron": "<string>",
"cron_description": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Filter by trigger type
Filter by enabled status
Required range:
1 <= x <= 200Required range:
x >= 0⌘I
List Hooks
